package com.ec.mutualistapichincha.listasnegras.dao;

import java.util.Date;
import java.util.List;

import javax.ejb.Stateless;

import com.ec.mutualistapichincha.base.util.Ctes;
import com.ec.mutualistapichincha.listasnegras.model.ExcepcionesBasesNeg;

@Stateless
public class ExcepcionesBasesNegDaoBean extends JPADao<Integer, ExcepcionesBasesNeg> {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.ec.mutualistapichincha.base.dao.ExcepcionesBasesNegDao#buscarCedula
	 * (java.lang.String)
	 */
	// public ExcepcionesBasesNeg buscarCedula(String cedula) {
	// String sql =
	// "select o from ExcepcionesBasesNeg o where o.identificacion = :cedula and o.estado = 'A' and date(o.fechaFin) >= :fecha  ";
	// List<ExcepcionesBasesNeg> lista = em.createQuery(sql,
	// ExcepcionesBasesNeg.class).setParameter("cedula",
	// cedula).setParameter("fecha", Ctes.fechaSinHora(new
	// Date())).getResultList();
	// if(lista.size()>0){
	// return lista.get(0);
	// }
	// else
	// return null;
	// }

	@SuppressWarnings("unchecked")
	public ExcepcionesBasesNeg buscarCedula(final String cedula, final String base) {
		String sql = "select o from ExcepcionesBasesNeg o where o.identificacion = :cedula and o.estado = 'A' and date(o.fechaFin) >= :fecha  and o.base = :base";
		List<ExcepcionesBasesNeg> lista = em.createQuery(sql).setParameter("cedula", cedula)
				.setParameter("fecha", Ctes.fechaSinHora(new Date())).setParameter("base", base).getResultList();
		if (lista.size() > 0) {
			return lista.get(0);
		} else
			return null;
	}

}