package com.ec.mutualistapichincha.listasnegras.service;

import java.util.Collection;
import java.util.Date;

import javax.ejb.Remote;

import com.ec.mutualistapichincha.listasnegras.dto.RespuestaNombrePEP;
import com.ec.mutualistapichincha.listasnegras.dto.RespuestaValidacionBasesNegativas;
import com.ec.mutualistapichincha.listasnegras.model.ExcepcionesBasesNeg;

@Remote
public interface ServicioExcepciones {

	public RespuestaValidacionBasesNegativas validarBasesNegativas(String cedula, String nombres, String apellidos, Integer operador,
			String accion, String modulo);

	public RespuestaNombrePEP obtenerListaNombrePep(String cedula, String nombres, String apellidos, Integer operador, String accion,
			String modulo);

	Collection<ExcepcionesBasesNeg> ingresarExcepcion(String identificacion, String tipoIdentificacion, String nombres, String apellidos,
			String bases, Date fechaFin, String estado, String observaciones);
}
