package com.ec.mutualistapichincha.test;

import java.util.Calendar;
import java.util.Date;

import javax.naming.InitialContext;
import javax.naming.NamingException;

@SuppressWarnings("unchecked")
public class BaseTest {

	public <T> T locate(final Class<T> type) throws NamingException {

		InitialContext context = new InitialContext();

		StringBuilder jndiName = new StringBuilder();
		jndiName.append("mupi-listasnegras-ear/mupi-listasnegras-ejb/");
		jndiName.append(type.getSimpleName().concat("Bean"));
		jndiName.append("!");
		jndiName.append(type.getCanonicalName());

		return (T) context.lookup(jndiName.toString());
	}

	public Object locate(final String jndiName) throws NamingException {
		InitialContext context = new InitialContext();
		return context.lookup(jndiName);
	}

	protected Date createDate(final int day, final int month, final int year) {
		Calendar calendar = Calendar.getInstance();
		calendar.clear();
		calendar.set(year, month, day);
		return calendar.getTime();
	}
}
