package com.ec.mutualistapichincha.listasnegras.audit;

import com.ec.mutualistapichincha.security.MupiPrincipal;

@SuppressWarnings("serial")
public class DatosAuditoriaEnvers implements DatosAuditoria {

	private MupiPrincipal principal;

	@Override
	public Integer getUsuario() {
		return principal.getIdentificacion();
	}

	@Override
	public String getOrigen() {
		return principal.getIdAgencia();
	}

	@Override
	public String getTipoOrigen() {
		return null;
	}

	@Override
	public String getAgencia() {
		return principal.getIdAgencia();
	}

	@Override
	public String getSistema() {
		return "WEBMPSIS";
	}

	@Override
	public String getModulo() {
		return "CLIENTES";
	}

	@Override
	public String getPantalla() {
		return null;
	}

	@Override
	public String getParametro() {
		return null;
	}

	@Override
	public String getConsulta() {
		return null;
	}

	@Override
	public String getIpPublica() {
		return principal.getDireccionIp();
	}

	public MupiPrincipal getPrincipal() {
		return principal;
	}

	public void setPrincipal(final MupiPrincipal principal) {
		this.principal = principal;
	}

	@Override
	public String getTerminal() {
		return principal.getIdTerminal();
	}

}