package com.ec.mutualistapichincha.listasnegras.service;

import javax.annotation.Resource;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;

import com.ec.mutualistapichincha.listasnegras.audit.DatosAuditoriaEnvers;
import com.ec.mutualistapichincha.security.MupiPrincipal;

@Stateless
public class ServicioDatosAuditoria {

	@Resource
	private SessionContext sessionContext;

	public DatosAuditoriaEnvers obtenerDatosAuditoria() {
		DatosAuditoriaEnvers datos = new DatosAuditoriaEnvers();
		datos.setPrincipal((MupiPrincipal) sessionContext.getCallerPrincipal());
		return datos;
	}
}
