package com.ec.mutualistapichincha.test;

import java.util.Calendar;
import java.util.Collection;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import com.ec.mutualistapichincha.listasnegras.model.ExcepcionesBasesNeg;
import com.ec.mutualistapichincha.listasnegras.service.ServicioExcepciones;

public class ExcepcionesTest extends BaseTest {

	private ServicioExcepciones servicio;

	@Before
	public void setUp() throws Exception {
		servicio = locate(ServicioExcepciones.class);
	}

	@After
	public void tearDown() throws Exception {
		servicio = null;
	}

	@Test
	public void guardarExcepcionTest() {
		Calendar today = Calendar.getInstance();
		today.add(Calendar.DAY_OF_YEAR, 365);
		Collection<ExcepcionesBasesNeg> excepciones = servicio.ingresarExcepcion("1307291714", "CED", "jose miguel", "loor", "CONSEP,PEP",
				today.getTime(), "A", "junit test");
		Assert.assertFalse(excepciones.isEmpty());
	}
}
